# Copyright 2010 Canonical Ltd.  All rights reserved.
import ez_setup
ez_setup.use_setuptools()

import sys
from setuptools import setup, find_packages

__version__ = '0.1'

setup(
    name='devops',
    version=__version__,
    namespace_packages=[],
    packages=find_packages('src'),
    package_dir={'':'src'},
    include_package_data=True,
    zip_safe=False,
    maintainer="Canonical Launchpad QA",
    description="Script to generate the Launchpad devops dashboard.",
    license='GPLv2',
    install_requires=[
        'setuptools',
        'BeautifulSoup',
        'bzr>=2.1',
        'genshi',
        'launchpadlib',
    ],
    classifiers=[
        "Intended Audience :: Developers",
        "Programming Language :: Python",
    ],
    entry_points=dict(
        console_scripts=[ # `console_scripts` is a magic name to setuptools
            'generate-page = devops.generate:main',
            ]),
)
